Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class TextSelection

    java.lang.Object
      org.eclipse.jface.text.TextSelection

All Implemented Interfaces:
  ISelection, ITextSelection

public class TextSelection
extends Object
implements ITextSelection

Standard implementation of `ITextSelection`.

Makes advantage of the weak contract of correctness of its interface. If generated from a selection provider, it only remembers its offset and length and computes the remaining information on request.

Constructor Summary
`TextSelection(IDocument document, int offset, int length)` Creates a text selection for the given range of the given document.
`TextSelection(int offset, int length)` Creates a text selection for the given range.

Method Summary
`static ITextSelection` | `emptySelection()` Returns a shared instance of an empty text selection.
`boolean` | `equals(Object obj)`
`int` | `getEndLine()` Returns the number of the line containing the last character of the selected text.
`int` | `getLength()` Returns the length of the selected text.
`int` | `getOffset()` Returns the offset of the selected text.
`int` | `getStartLine()` Returns number of the line containing the offset of the selected text.
`String` | `getText()` Returns the selected text.
`int` | `hashCode()`
`boolean` | `isEmpty()` Returns true if the offset and length are smaller than 0.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSelection

    public TextSelection(int offset,
                         int length)

  Creates a text selection for the given range. This selection object describes generically a text range and is intended to be an argument for the `setSelection` method of selection providers.

Parameters:
  `offset` - the offset of the range
  `length` - the length of the range

### TextSelection

    public TextSelection(IDocument document,
                         int offset,
                         int length)

  Creates a text selection for the given range of the given document. This selection object is created by selection providers in responds `getSelection`.

Parameters:
  `document` - the document whose text range is selected in a viewer
  `offset` - the offset of the selected range
  `length` - the length of the selected range

Method Detail

### emptySelection

    public static ITextSelection emptySelection()

  Returns a shared instance of an empty text selection.

  Returns:
    a shared instance of an empty text selection

### isEmpty

    public boolean isEmpty()

  Returns true if the offset and length are smaller than 0. A selection of length 0, is a valid text selection as it describes, e.g., the cursor position in a viewer.

  Specified by:
    `isEmpty` in interface `ISelection`
  Returns:
    `true` if this selection is empty
  See Also:
    `ISelection.isEmpty()`

### getOffset

    public int getOffset()

  Description copied from interface: `ITextSelection`
  Returns the offset of the selected text.

  Specified by:
    `getOffset` in interface `ITextSelection`
  Returns:
    the offset of the selected text

### getLength

    public int getLength()

  Description copied from interface: `ITextSelection`
  Returns the length of the selected text.

  Specified by:
    `getLength` in interface `ITextSelection`
  Returns:
    the length of the selected text

### getStartLine

    public int getStartLine()

  Description copied from interface: `ITextSelection`
  Returns number of the line containing the offset of the selected text. If the underlying text has been changed between the creation of this selection object and the call of this method, the value returned might differ from what it would have been at the point of creation.

  Specified by:
    `getStartLine` in interface `ITextSelection`
  Returns:
    the start line of this selection or `-1` if there is no valid line information

### getEndLine

    public int getEndLine()

  Description copied from interface: `ITextSelection`
  Returns the number of the line containing the last character of the selected text. If the underlying text has been changed between the creation of this selection object and the call of this method, the value returned might differ from what it would have been at the point of creation.

  Specified by:
    `getEndLine` in interface `ITextSelection`
  Returns:
    the end line of this selection or `-1` if there is no valid line information

### getText

    public String getText()

  Description copied from interface: `ITextSelection`
  Returns the selected text. If the underlying text has been changed between the creation of this selection object and the call of this method, the value returned might differ from what it would have been at the point of creation.

  Specified by:
    `getText` in interface `ITextSelection`
  Returns:
    the selected text or `null` if there is no valid text information

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.